binutils-m68hc1x (1:3.5.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 20:38:32 +0000

binutils-m68hc1x (1:3.5.3) unstable; urgency=medium

  * Revert "Apply the fix from #1090761" (Closes: #1093320)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sat, 18 Jan 2025 20:22:38 +0100

binutils-m68hc1x (1:3.5.2) unstable; urgency=medium

  * Apply the fix from #1090761 (Closes: #1090194)
  * Standards-Version: 4.7.0 (no changes needed)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Fri, 20 Dec 2024 16:49:25 +0100

binutils-m68hc1x (1:3.5.1) unstable; urgency=medium

  * Removed *-build-with-mktemp patch (Closes: #1042317)
  * lintian: Ignore info messages

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sat, 05 Aug 2023 14:41:24 +0200

binutils-m68hc1x (1:3.5.0) unstable; urgency=medium

  * Patch: Correcting typo's (removed) (Closes: #1026638)
  * Source: Removed lintian-overrides
  * Patch: fix concurrent build

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Wed, 18 Jan 2023 18:57:48 +0100

binutils-m68hc1x (1:3.4.0) unstable; urgency=medium

  * Patch: Correcting typo's
  * lintian: Assembly instructions are no spelling errors.

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Wed, 04 Jan 2023 20:05:24 +0100

binutils-m68hc1x (1:3.3) unstable; urgency=medium

  * Corrected lintian errors
  * Standards-Version: 4.6.2 (no changes)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Wed, 21 Dec 2022 11:26:27 +0100

binutils-m68hc1x (1:3.2) unstable; urgency=medium

  * Removed patch 0001. Resolved by upstream. (Closes: #1026638)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Tue, 20 Dec 2022 20:48:47 +0100

binutils-m68hc1x (1:3.1) unstable; urgency=medium

  * Apply provided patches
  * Added patch 0001-mbstowcs-convert-to-destination.patch (Closes: #1016258)
  * Added patch 0002-test-pexecute-correct-buffer-size.patch
  * Revert: Recreate man page for c++filt.1
  * copyright: Removed superfluous file pattern

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Fri, 05 Aug 2022 21:04:13 +0200

binutils-m68hc1x (1:3.0.2) unstable; urgency=medium

  * Use the correct tar filename (Closes: #1013607)
  * Enable tests
  * Standards version set to 4.6.1

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Fri, 24 Jun 2022 16:45:32 +0200

binutils-m68hc1x (1:3.0.1) unstable; urgency=medium

  * Add DH_COMPAT=10 as needed after autoconf2.69 version 2.69-3.
  * Recreate man page for c++filt.1

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 26 Sep 2021 16:06:10 +0200

binutils-m68hc1x (1:3) unstable; urgency=medium

  * Repackaged as a native package based on binutils-source (Closes: #982848)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Thu, 16 Sep 2021 18:59:20 +0200

binutils-m68hc1x (1:2.36.1-1) unstable; urgency=medium

  * New upstream version 2.36.1
  * Rediff patches
  * not-installed: usr/lib
  * control: Policy 4.5.1
  * copyright: debmake -k

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 07 Feb 2021 17:21:55 +0100

binutils-m68hc1x (1:2.35.1-4) unstable; urgency=medium

  * Drop 0002-Skip-test-errors.patch: Superseded
  * New upstream version 2.35.1
  * Merge debian with upstream branch

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sat, 06 Feb 2021 16:56:53 +0100

binutils-m68hc1x (1:2.35.1-3) unstable; urgency=medium

  * copyright: Generated by "debmake -cc" and cleaned up.

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Thu, 03 Dec 2020 20:59:09 +0100

binutils-m68hc1x (1:2.35.1-2) unstable; urgency=medium

  * control: Corrected the Maintainer mail address
  * README.Debian: Rephrased the README
  * control: Added the fields Vcs-*

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 08 Nov 2020 20:30:23 +0100

binutils-m68hc1x (1:2.35.1-1) unstable; urgency=medium

  * New upstream version 2.35.1
  * New maintainer (Closes: #739225)
  * Update the debian packaging (Closes: #957044)

 -- Vincent Smeets <Vincent.VSmeets@GMail.com>  Sun, 08 Nov 2020 15:08:23 +0100

binutils-m68hc1x (1:2.18-9) unstable; urgency=medium

  * QA upload
  * Removed unneeded gasp manpage since gasp was eliminated as a distinct
    binary somewhere around 2002 (Closes: #857210)

 -- Paul Gevers <elbrus@debian.org>  Sat, 18 Mar 2017 12:21:41 +0100

binutils-m68hc1x (1:2.18-8) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible by passing -n to gzip.
    (Closes: #835263)
  * Bump Standards-Version to 3.9.8.
  * Move debhelper compat level 9.
  * Move to "3.0 (quilt)" source format
  * Drop duplicated "Priority" and "Section" entries in debian/control.
  * Use dh_prep over dh_clean -k

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2016 13:00:48 +0100

binutils-m68hc1x (1:2.18-7) unstable; urgency=medium

  * QA upload.
  * debian/rules: Do not include the "example" directory itself
    in example.tar.gz.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2015 16:21:52 +0200

binutils-m68hc1x (1:2.18-6) unstable; urgency=medium

  * QA upload.
  * debian/rules: Force members of example.tar.gz to have mode 644.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2015 23:56:26 +0200

binutils-m68hc1x (1:2.18-5) unstable; urgency=medium

  * QA upload.
  * Fix broken 02_missing_makeinfo.patch to fix FTBFS with texinfo 6.
    (Closes: #790689)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jul 2015 21:58:00 +0200

binutils-m68hc1x (1:2.18-4) unstable; urgency=medium

  * QA upload.
  * Run autoreconf to enable builds on arm64 and other new architectures
    - Closes: #727329, #744415
  * Make builds reproducible, closes: #777317
    - Thanks Chris Lamb
  * Drop obsolete XS-DM-Upload-Allowed: field
  * Add build-arch and build-arch-indep targets

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 28 Apr 2015 09:33:49 +0300

binutils-m68hc1x (1:2.18-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - fix target order to fix FTBFS
  * debian/patches/
    - update 02_missing_makeinfo.patch to deal with texinfo 5.x and fix FTBFS
      (Closes: #712345)
    - add debian/patches/04_fix_texinfo_warning.patch to fix another FTBFS

 -- Hideki Yamane <henrich@debian.org>  Thu, 10 Oct 2013 20:43:43 +0900

binutils-m68hc1x (1:2.18-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS format security problems.": add patch
    03_fix-format-security.patch from peter green that adds the missing
    format arguments.
    Closes: #651906

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Jan 2012 19:30:15 +0100

binutils-m68hc1x (1:2.18-3.1) unstable; urgency=low

  * Non maintainer upload.
  * Configure with --disable-werror. Closes: #625313. LP: #749220.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Aug 2011 10:41:04 +0200

binutils-m68hc1x (1:2.18-3) unstable; urgency=low

  [ Arthur Loiret ]
  * debian/patches/02_missing_makeinfo: Add (closes: #453197).
  * Fix debian/watch (closes: #449911).
  * debian/control: Update Standards-Version (no changes).

  [ Pierre Habouzit ]
  * debian/control: DM-Upload-Allowed set to yes.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Sun, 30 Dec 2007 03:03:57 +0100

binutils-m68hc1x (1:2.18-2) unstable; urgency=low

  * debian/rules: change objcopy hardlink to symlink
  * debian/overrides: update for objcopy

 -- Arthur Loiret <arthur.loiret@gmail.com>  Mon, 22 Oct 2007 23:18:04 +0200

binutils-m68hc1x (1:2.18-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - enable targets m68hc11,m68hc12.
    - Small updates in packaging.
  * 01_binutils_m68hc11.patch: Update.
  * 02_fix_ftbfs.patch: Remove, fixed upstream.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Mon, 22 Oct 2007 15:28:58 +0200

binutils-m68hc1x (1:2.17-1) unstable; urgency=low

  * Adopting package (Closes: #412607)
  * New Upstream release
  * Update compat to 5, set debhelper required version to 5 in Build-Depends
  * Update Standards-Version to 3.7.2
  * debian/copyright: update FSF address, update upstream download addresses
  * debian/overrides: add objdump-file-in-unusual-dir override
  * Remove patches:
    + binutils-2.15-gcc-4.0.diff has been applied upstream
    + binutils-2.15-m68hc1x-20040801.diffs has been part-applied upstream
  * Add debian/patches/01_binutils_m68hc11.patch to replace previous patch
  * Add debian/patches/02_fix_ftbfs.patch to fix ftbfs
  * debian/rules: partial rewrite of the build system
  * Add debian/watch

 -- Arthur Loiret <arthur.loiret@gmail.com>  Wed, 08 Aug 2007 11:07:16 +0000

binutils-m68hc1x (1:2.15+3.1-1) unstable; urgency=low

  * New upstream version, still based on binutils-2.15.

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Mar 2006 01:43:30 +0100

binutils-m68hc1x (1:2.15+3.0.1-2) unstable; urgency=low

  * Fixes for gcc-4.0.

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  7 Jul 2005 22:13:14 +0200

binutils-m68hc1x (1:2.15+3.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 Jun 2005 17:30:13 +0200

binutils-m68hc1x (1:2.15+3.0-1) unstable; urgency=low

  * New upstream version, still based on binutils-2.15.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Jan 2005 06:58:37 +0100

binutils-m68hc1x (1:2.15+2.92-1) unstable; urgency=high

  * Switched to 2.92 pre-release, ie binutils-2.15 + some patches.
  * Urgency set to high as the whole toolchain has to switch to 2.92
    pre-release to fix an RC bug on gcc-m68hc1x.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 11 Sep 2004 14:41:47 +0200

binutils-m68hc1x (1:2.12.1-2) unstable; urgency=medium

  * Don't install /usr/include files (closes: bug#265314).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Aug 2004 18:50:24 +0200

binutils-m68hc1x (1:2.12.1-1) unstable; urgency=medium

  * toolchain-source is not really suitable for embedded targets. Moreover
    such targets does not need to follow the main toolchain.
  * Using binutils version 2.12.1 + m68hc1x maintainer patches, which is the
    recommended version for this target.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  9 Aug 2004 14:02:00 +0200

binutils-m68hc1x (2.14.90.0.7-2) unstable; urgency=medium

  * Updated example program.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Apr 2004 19:03:03 +0200

binutils-m68hc1x (2.14.90.0.7-1) unstable; urgency=low

  * Binutils updated to 2.14.90.0.7.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Apr 2004 23:44:02 +0200

binutils-m68hc1x (2.14.90.0.4-2) unstable; urgency=low

  * Fixed typo in the Build-Depends field (closes: bug#212053).
  * Bumped standards-version to 3.6.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 22 Sep 2003 01:09:28 +0200

binutils-m68hc1x (2.14.90.0.4-1) unstable; urgency=low

  * Binutils updated to 2.14.90.0.4.
  * Removed flex and GCC 3.3 patches.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Jun 2003 15:42:00 +0200

binutils-m68hc1x (2.13-8) unstable; urgency=low

  * Patch sources to fix flex bug as toolchain-source is still not patched.
  * GCC 3.3 fixes.
  * Set policy compliance to 3.5.10.

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  5 Jun 2003 19:46:34 +0200

binutils-m68hc1x (2.13-7) unstable; urgency=low

  * Fixed undefined symbol cpu6812s (closes: bug#187837).
  * Depends on ${misc:Depends}.
  * Uses debian/compat instead of DH_COMPAT.
  * Removed call to dh_undocumented.
  * Bumped standards-version to 3.5.9.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  7 Apr 2003 12:27:29 +0200

binutils-m68hc1x (2.13-6) unstable; urgency=low

  * Added some example code to /usr/share/doc/binutils-m68hc1x.
  * Standards-Version bumped to 3.5.8.
  * Fixed description.

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  8 Jan 2003 14:16:38 +0100

binutils-m68hc1x (2.13-5) unstable; urgency=low

  * Corrected a typo in /usr/bin/m68hc12-as causing all system resources to be
    eaten. (closes: bug#169347).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Nov 2002 15:27:45 +0100

binutils-m68hc1x (2.13-4) unstable; urgency=low

  * Not so strict dependency on toolchain-source.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Oct 2002 08:11:12 +0200

binutils-m68hc1x (2.13-3) unstable; urgency=low

  * Merged binutils-m68hc11 and binutils-m68hc12 into binutils-m68hc1x.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Oct 2002 02:55:06 +0200

binutils-m68hc1x (2.13-2) unstable; urgency=low

  * Initial Debian upload (closes: bug#165823).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Oct 2002 21:23:32 +0200

binutils-m68hc1x (2.13-1) unstable; urgency=low

  * Initial release.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 21 Oct 2002 01:54:09 +0200
